# azure.mgmt.containerservice.v2018_08_01_preview package

## Submodules

- azure.mgmt.containerservice.v2018_08_01_preview.models module
- azure.mgmt.containerservice.v2018_08_01_preview.operations module

## Module contents

class `azure.mgmt.containerservice.v2018_08_01_preview.``ContainerServiceClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The Container Service Client.

  Variables:

  - config (ContainerServiceClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.containerservice.v2018_08_01_preview.operations.Operations) – Operations operations
  - managed_clusters (azure.mgmt.containerservice.v2018_08_01_preview.operations.ManagedClustersOperations) – ManagedClusters operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.containerservice.v2018_08_01_preview.``ContainerServiceClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for ContainerServiceClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL